Mon blog n’est plus accessible..Help! (Créer un compte)

  • Statut : non résolu
5 sujets de 1 à 5 (sur un total de 5)
  • Auteur
    Messages
  • #449773
    CETAITLUI
    Participant
    Padawan WordPress
    91 contributions

    Bonjour,

    Ma configuration WP actuelle
    – Version de WordPress: :2.0 je crois?
    – Thème utilisé: : “Connection”
    – Plugins en place :
    – Nom de l’hebergeur: : PHPNET

    Problème(s) rencontré(s) :
    Depuis peu, je ne peux plus accéder à mon blog sur mon hébergeur PHPNET…je reçois le message:
    “Fatal error: Cannot redeclare glob() in …./wp-includes/functions-compat.php on line 95”
    Je n’ai pourtant rien changé….
    Ma ligne 95 (et 96) dans le fichier incriminé de wp-includes est la suivante:

    95 function glob($pattern) {
    96 // get pathname (everything up until the last / or )

    #586912
    benkenobi
    Gestionnaire du forum
    Maître WordPress
    4074 contributions

    Malheureusement, je ne saurais pas t’aider pour ce problème. Ceci dit heureux de te revoir parmi nous… ça faisait un bail 🙂

    #586913
    LH
    Membre
    Chevalier WordPress
    372 contributions

    Salut,

    En regardant dans le source de WP2.0.5, le fichier wp-includes/functions-compat.php donne comme info:

    /* Functions missing from older PHP versions */

    Le message d’erreur indique que la fonction existe déjà.
    Donc à mon avis, ton hébergeur a du upgrader la version PHP, et cette version contient déjà la fonction glob().
    Le mieux, ce serait que tu mettes à jour ta version WordPress pour être sous WP2.0.5.
    (Sinon, tu n’as qu’à mettre en commentaire cette fonction.)
    Dans la version WP2.0.5, ils ont mieux protégé le code, en testant d’abord si la fonction était définie, avant de la définir:

    if (!function_exists(‘floatval’)) {
    function floatval($string) {
    return ((float) $string);
    }
    }

    #586914
    CETAITLUI
    Participant
    Padawan WordPress
    91 contributions
    LH wrote:
    Le mieux, ce serait que tu mettes à jour ta version WordPress pour être sous WP2.0.5.
    Dans la version WP2.0.5, ils ont mieux protégé le code, en testant d’abord si la fonction était définie, avant de la définir:

    Merci LH!!
    , je vais faire ça de ce pas…je pensais aussi que mon hébergeur avait du changer quelque chose!!!

    Pour BenKenobi : Oui…je suis désolé de vous avoir quitté si longtemps et mon blog est lui aussi resté en panne…cause déménagement et autres choses dérangeantes…je suis heureux de retrouver la communauté…et le blog va se réveiller!!!

    #586915
    CETAITLUI
    Participant
    Padawan WordPress
    91 contributions

    Voila, c’est fait et ça marche, merci les amis…maintenant je ne vous quitte plus!!!
    Et mes meilleurs voeux pour l’année qui s’annonce!

5 sujets de 1 à 5 (sur un total de 5)
  • Vous devez être connecté pour répondre à ce sujet.